#pragma once
#include "Protein.hpp"
#include <fstream>
#include <map>

class Parser
{
public:
	Parser(std::string path);
	void parseFile();
	const Protein& getProtein() const;
private:
	std::fstream input;
	Protein protein;

	int lineNr = -1;
	int nummdl = 0;
	int currModel = 0;

	bool filled = false;

	void addAtom(Atom atom);
	void addConnection(int hostAtom, std::vector<int> connectionVector);
};

